<div class="breadcrumb-container">
	<ol class="breadcrumb">
		<li><a data-ui-sref="dashboard">{{"COMMON.HOME" | translate}}</a></li>
		<li><a data-ui-sref="BlogList">Blog</a></li>
		<li class="active">{{vm.record.title}</li>
	</ol>
</div>
<div class="col-md-12 no-padding text-right margin-bottom-10">
	<a data-ng-if="vm.authRepository.isAccessible('BlogAddButton')" data-ng-disabled="vm.authRepository.isDisabled('BlogAddButton')" title="{{"COMMON.ADD" | translate}}" class="btn btn-primary btn-xs" data-ui-sref="BlogEdit({id:0})">
		Add New Blog
	</a>
</div>
<table class="table table-bordered table-striped">
	<thead>
		<tr>
			<td colspan="2">Blog: <b>{{vm.record.title}</b>
				<a class="btn btn-danger btn-xs pull-right  margin-left-5" data-ng-if="vm.authRepository.isAccessible('BlogDeleteButton')" data-ng-disabled="vm.authRepository.isDisabled('BlogDeleteButton')" data-ng-click="vm.remove(record.id)">
					{{"COMMON.DELETE" | translate}}
				</a>
				<a class="btn btn-primary btn-xs pull-right" data-ng-if="vm.authRepository.isAccessible('BlogEditButton')" data-ng-disabled="vm.authRepository.isDisabled('BlogEditButton')" data-ui-sref="BlogEdit({id: record.id})">
					{{"COMMON.EDIT" | translate}}
				</a>
			</td>
		</tr>
	</thead>
	<tbody>
		 	<tr>
				<td width="250">{{"Blog.id" | translate}}</td>
            <td>{{vm.record.id}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Blog.title" | translate}}</td>
            <td>{{vm.record.title}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Blog.description" | translate}}</td>
            <td>{{vm.record.description}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Blog.categoryId" | translate}}</td>
    		<td>{{vm.record.category.name</td>
            </tr>
		 	<tr>
				<td width="250">{{"Blog.file" | translate}}</td>
            <td>{{vm.record.file}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Blog.createdOn" | translate}}</td>
             <td>{{vm.record.createdOn|date:'MM/dd/yyyy'}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Blog.updatedOn" | translate}}</td>
             <td>{{vm.record.updatedOn|date:'MM/dd/yyyy'}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Blog.isDeleted" | translate}}</td>
            <td>{{vm.record.isDeleted}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Blog.isActive" | translate}}</td>
            <td>{{vm.record.isActive}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Blog.createdBy" | translate}}</td>
            <td>{{vm.record.createdBy}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Blog.updatedBy" | translate}}</td>
            <td>{{vm.record.updatedBy}}</td>
            </tr>
	</tbody>
</table>

